Subject: bug#66669: 30.0.50; [EGLOT] Emacs freezes when server sends a ton of progress notifications

From: João Távora <[email-masked]>
Date: Sun, 22 Oct 2023 15:52:49 +0100

On Sun, Oct 22, 2023 at 5:50 AM Eli Zaretskii <[email-masked]> wrote:
>
> > Cc: [email-masked]
> > From: Yuan Fu <[email-masked]>
> > Date: Sat, 21 Oct 2023 12:10:49 -0700
> >
> > I use rust’s language server (rust-analyzer) with eglot. And whenever I turn eglot on for a project, Emacs freezes for a good 30 seconds, busy updating the eglot progress indicator, before I can do anything. I think the reason is that the rust language server sends a ton of progress notifications, which completely blocks Emacs before it’s done.
> >
> > Setting eglot-report-progress to nil doesn’t help me, presumably because eglot still needs to process the notifications.
>
> Can't this information be processed in chunks, not in one go?

Maybe, depending on what that means. I think it's important to
get to the bottom of Yuan's "presumably" first, preferably by
reproducing his problem.

João